//////  CREATE A TABLE TO USE /////
cTablename = "TESTTABLE.DB"

if file(cTablename)
   drop table "&cTablename"
endif

CREATE TABLE "&cTablename" (;
   PRKEY          AUTOINC, ;
   LAST_NAME      CHAR(20), ;
   FIRST_NAME     CHAR(15), ;
   SALARY         NUMERIC(10,2), ;
   DEPT_NO        SMALLINT)



Set proc to BDEIndex.cc

//  Create the Primary Index
oIndex = new BDEIndex()
oIndex.Primary      := true
oIndex.AddTag(cTablename, "" )


//  Create a Secondary Index
oIndex = new BDEIndex()
oIndex.fields      := "Last_Name"
oIndex.indexName   := "Index2"   
oIndex.AddTag(cTablename, "" )

//  Create a Secondary Index
oIndex = new BDEIndex()
oIndex.fields      := "Last_Name;First_Name"
oIndex.indexName   := "Index3"
oIndex.AddTag(cTablename, "" )

//  Need a check to see whether the 
//  index name already exists

//  Create a Secondary Index
oIndex = new BDEIndex()
oIndex.fields        := "First_Name"
oIndex.indexName     := "Index4" 
oIndex.Maintained    := true
oIndex.Unique        := true
oIndex.CaseSensitive := true
oIndex.AddTag(cTablename, "" )

oIndex = new BDEIndex()
oIndex.fields        := "dept_no;Last_Name;First_Name"
oIndex.DescList      := "true;false;true"
oIndex.indexName     := "Index5"   
oIndex.Maintained    := false
oIndex.Unique        := false
oIndex.CaseSensitive := false
oIndex.AddTag(cTablename, "" )



//oIndex.DeleteTag(cTablename,"","Index5")
//oIndex.DeleteTag(cTablename,"","Index3")
//oIndex.DeleteTag(cTablename,"","Last_Name")
//oIndex.DeleteTag(cTablename,"","first_Name")
//oIndex.DeleteTag(cTablename,"","")
